# $Revision: 1.59 $, $Date: 2012/04/18 10:37:17 $
# TODO
# - fix pm-utils to store addons in non-arch dependant path so we could make this pkg noarch
# - package (acpid-XXX):
#   /etc/acpi/resume.d/80-wicd-connect.sh
#   /etc/acpi/suspend.d/50-wicd-suspend.sh
# - notes about translations:
#   - ar_EG (Egypt) isn't in glibc yet. using ar instead
Summary:	wired and wireless network manager
Summary(hu.UTF-8):	Vezeték és vezeték néklküli hálózati menedzser
Summary(pl.UTF-8):	Zarządca sieci przewodowych i bezprzewodowych
Name:		wicd
Version:	1.7.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/wicd/%{name}-%{version}.tar.gz
# Source0-md5:	9c5664a0e850cddbe80942eabb10430a
Source1:	%{name}.init
Source2:	%{name}.service
Source3:	org.%{name}.daemon.service
Patch0:		%{name}-init_status.patch
Patch1:		bashism.patch
Patch2:		%{name}-desktop.patch
URL:		http://www.wicd.net/
BuildRequires:	gettext-devel
# /etc/pld-release used to detect platform
BuildRequires:	issue
BuildRequires:	python-babel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.623
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	dbus(org.freedesktop.Notifications)
Requires:	python-dbus
Requires:	python-iwscan
Requires:	python-pygobject
Requires:	python-pygtk-glade >= 2:2.0
Requires:	python-pygtk-gtk >= 2:2.0
Requires:	python-wpactrl
Requires:	systemd-units >= 0.38
Suggests:	wireless-tools
Obsoletes:	wicd-systemd
# not noarch due pm-utils packaging stupidity
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wicd is an open source wired and wireless network manager for Linux
which aims to provide a simple interface to connect to networks with a
wide variety of settings.

%description  -l hu.UTF-8
Wicd egy nyílt forráskódú vezeték és vezeték nélküli menedzser
Linuxhoz, maely egy egyszerű felületet biztosít hálózatokhoz való
csatlakozásokhoz a beállítások széles tárházával.

%description -l pl.UTF-8
Wicd jest zarządcą sieci przewodowych i bezprzewodowych dla Linuksa,
mającym zapewnić prosty interfejs do podłączania do sieci z
różnorakimi opcjami.

%package client-cli
Summary:	wicd CLI client
Summary(hu.UTF-8):	wicd CLI kliens
Summary(pl.UTF-8):	Klient wicd CLI
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	python-urwid

%description client-cli
Wicd command line interface (ncurses) client.

%description client-cli -l hu.UTF-8
Wicd parancssoros (ncurses) kliens.

%description client-cli -l pl.UTF-8
Klient Wicd z międzymordziem wiersza poleceń (ncurses).

%package client-curses
Summary:	wicd TUI client
Summary(hu.UTF-8):	wicd TUI kliens
Summary(pl.UTF-8):	Klient wicd z TUI
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	python-urwid

%description client-curses
Wicd text user interface (ncurses) client.

%description client-curses -l hu.UTF-8
Wicd szöveges (ncurses) kliens.

%description client-curses -l pl.UTF-8
Klient Wicd z tesktowym międzymordziem uzytkownika (ncurses).

%package kde-tray
Summary:	wicd-tray KDE autostart
Summary(pl.UTF-8):	Automatyczny start wicd-tray dla KDE
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description kde-tray
wicd-tray KDE autostart.

%description kde-tray -l pl.UTF-8
Automatyczny start wicd-tray dla KDE.

%package client-gtk
Summary:	wicd GUI client
Summary(hu.UTF-8):	wicd GUI kliens
Summary(pl.UTF-8):	Klient wicd z GUI
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description client-gtk
Wicd graphical user interface (GTK+2) client.

%description client-gtk -l hu.UTF-8
Wicd grafikus (GTK+2) kliens.

%description client-gtk -l pl.UTF-8
Klient Wicd z graficznym międzymordziem użytkownika (GTK+2).

%package -n pm-utils-wicd
Summary:	wicd script for pm-utils
Summary(hu.UTF-8):	wicd szkript pm-utils-hoz
Summary(pl.UTF-8):	Skrypt wicd dla pm-utils
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	pm-utils

%description -n pm-utils-wicd
Wicd script for pm-utils.

%description -n pm-utils-wicd -l hu.UTF-8
Wicd szkript pm-utils-hoz.

%description -n pm-utils-wicd -l pl.UTF-8
Skrypt wicd dla pm-utils.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv po/{ar_EG,ar}.po
rm po/ast.po

grep -r bin/env.*python -l . | xargs %{__sed} -i -e '1s,^#!.*env python,#!%{__python},'

%build
%{__python} setup.py configure \
	--pidfile /var/run/wicd.pid \
	--pmutils %{_libdir}/pm-utils/sleep.d

%{__python} setup.py build
%{__python} setup.py compile_translations

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/wicd

# systemd
install -d $RPM_BUILD_ROOT%{systemdunitdir}
install -d $RPM_BUILD_ROOT%{_datadir}/dbus-1/system-services
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{systemdunitdir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/dbus-1/system-services

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%find_lang %{name}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__rm} $RPM_BUILD_ROOT/var/lib/%{name}/configurations/.empty_on_purpose
%{__rm} $RPM_BUILD_ROOT/var/log/%{name}/.empty_on_purpose

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart
%systemd_post wicd.service

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi
%systemd_preun wicd.service

%postun
%systemd_reload

%triggerpostun -- %{name} < 1.7.0-8
%systemd_trigger wicd.service

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES INSTALL README
%attr(755,root,root) %{_bindir}/wicd-client
%attr(755,root,root) %{_sbindir}/wicd
%attr(754,root,root) /etc/rc.d/init.d/%{name}
/etc/logrotate.d/wicd.logrotate
%{_mandir}/man5/wicd-manager-settings.conf.5*
%lang(nl) %{_mandir}/nl/man5/wicd-manager-settings.conf.5*
%{_mandir}/man5/wicd-wired-settings.conf.5*
%lang(nl) %{_mandir}/nl/man5/wicd-wired-settings.conf.5*
%{_mandir}/man5/wicd-wireless-settings.conf.5*
%lang(nl) %{_mandir}/nl/man5/wicd-wireless-settings.conf.5*
%{_mandir}/man8/wicd.8*
%lang(nl) %{_mandir}/nl/man8/wicd.8*
%{systemdunitdir}/wicd.service
%{_datadir}/dbus-1/system-services/org.wicd.daemon.service
/etc/dbus-1/system.d/wicd.conf
%{_sysconfdir}/wicd
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/backends
%attr(755,root,root) %{_datadir}/%{name}/backends/*.py
%dir %{_datadir}/%{name}/daemon
%attr(755,root,root) %{_datadir}/%{name}/daemon/*.py
%dir %{py_sitescriptdir}/wicd
%{py_sitescriptdir}/wicd/*.py[co]
%{py_sitescriptdir}/wicd-*.egg-info
%dir /var/lib/%{name}
%dir /var/lib/%{name}/configurations
/var/lib/%{name}/WHEREAREMYFILES
%dir /var/log/%{name}

%files client-cli
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wicd-cli
%dir %{_datadir}/%{name}/cli
%attr(755,root,root) %{_datadir}/%{name}/cli/*.py
%{_mandir}/man8/wicd-cli.8*

%files client-curses
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wicd-curses
%dir %{_datadir}/%{name}/curses
%attr(755,root,root) %{_datadir}/%{name}/curses/*.py
%{_mandir}/man8/wicd-curses.8*
%lang(nl) %{_mandir}/nl/man8/wicd-curses.8*

%files client-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wicd-gtk
%{_sysconfdir}/xdg/autostart/wicd-tray.desktop
%dir %{_datadir}/%{name}/gtk
%{_datadir}/%{name}/gtk/%{name}.ui
%attr(755,root,root) %{_datadir}/%{name}/gtk/*.py
%{_desktopdir}/wicd.desktop
%{_iconsdir}/hicolor/*/apps/wicd-gtk.*
%{_pixmapsdir}/%{name}
%{_pixmapsdir}/wicd-gtk.xpm
%{_mandir}/man1/wicd-client.1*
%lang(nl) %{_mandir}/nl/man1/wicd-client.1*

%files kde-tray
%defattr(644,root,root,755)
%{_datadir}/autostart/wicd-tray.desktop

%files -n pm-utils-wicd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pm-utils/sleep.d/*wicd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wicd.spec,v $
Revision 1.59  2012/04/18 10:37:17  baggins
- rel 1

Revision 1.58  2012/04/18 10:37:10  baggins
- package logrotate file
- added kde-tray package with autostart for KDE

Revision 1.57  2012/04/17 19:18:14  baggins
- new BRs
- build translations
- partially update files

Revision 1.56  2012/04/17 19:03:30  baggins
- updated prep

Revision 1.55  2012/04/17 18:12:04  baggins
- better systemd deps

Revision 1.54  2012/02/05 17:42:25  baggins
- rel 9
- added O:*-systemd

Revision 1.53  2012/02/05 17:03:39  baggins
- rel 8
- merged systemd stuff into main package

Revision 1.52  2012/01/18 09:32:04  glen
- deps for systemd, according to PLD-doc/BuildRequires.txt

Revision 1.51  2012/01/18 09:30:59  glen
- no double slashes

Revision 1.50  2012/01/17 17:17:16  cactus
- rel 7; add systemd subpackage

Revision 1.49  2011/02/03 19:02:39  lisu
- use __rm and sed macros
- S: wireless-tools

Revision 1.48  2010/10/07 21:23:19  uzsolt
- removed "wired-settings.conf parse error" TODO (no-deepcopy patch updated)
- rel 6

Revision 1.47  2010/10/06 21:39:38  uzsolt
- rel 5.1 (does not stable)
- new todo (wired-settings.conf parse error - maybe revert the no-deepcopy.patch or add more patch?)

Revision 1.46  2010/10/05 21:00:37  uzsolt
- no-deepcopy.patch
- rel 5 (seems works)

Revision 1.45  2010/09/21 19:00:03  glen
- release 4

Revision 1.44  2010/08/21 09:04:20  uzsolt
- client-curses R python-urwid
- adapter
- hu
- rel up

Revision 1.43  2010/07/08 08:49:37  arekm
- release 2

Revision 1.42  2010/05/16 18:02:31  cactus
- mv wicd-tray to client-gtk subpackage

Revision 1.41  2010/05/12 14:12:08  baggins
- rel 1
- more desktop categories

Revision 1.40  2010/01/19 07:40:27  glen
- resort translations
- drop libexecdir, use datadir macro

Revision 1.39  2010/01/18 20:55:24  evil
- up to 1.7.0
- package netherland's manuals
- split GTK client from main to client subpackage
- CLI client added
- client subpackages descriptionss/summaries totally (were totally inconsistent)
- commented _libexecdir redefinition (but setup reworked, so it can be
  uncommented and spec builds/works). not sure about that anyway
- package installation doesnt work because of fr_FR, etc. but instalation
  scripts has been fucked by wicd devs (so its not mine fault and dont have
  time now to fix it)

Revision 1.38  2009/11/09 10:50:43  glen
- back to arch due bad pm-utils packaging; rel 6

Revision 1.37  2009/11/06 20:49:31  glen
- cleanup shebangs; rel 5

Revision 1.36  2009/11/06 20:37:51  glen
- use external python-iwscan, python-wpactrl packages, back to noarch
- previous versions always obsoleted by newer one, drop pointless self obsolete
- rel 4

Revision 1.35  2009/11/06 17:43:09  glen
- pldize; rel 3

Revision 1.34  2009/10/15 19:03:59  cactus
- rel 2; pack configurations dir into package, will not work without it

Revision 1.33  2009/09/26 12:58:56  cactus
- up to 1.6.2.2
- O: wicd < 1.6.0 - clean upgrade from noarch

Revision 1.32  2009/09/07 14:04:28  pawelz
- R: dbus(org.freedesktop.Notifications) (thx Michal Kochanowicz <michal(at)michal(dot)waw(dot)pl>)

Revision 1.31  2009/09/01 20:15:47  cactus
- BR:libiw-devel

Revision 1.30  2009/09/01 16:52:34  cactus
- rel 2;
- proper Group
- build depends for ioctl backend

Revision 1.29  2009/09/01 16:02:47  cactus
- up to 1.6.2.1

Revision 1.28  2009/08/26 12:38:19  cactus
- rel 3; pm-utils is arch specific so here too

Revision 1.27  2009/08/21 16:41:05  cactus
- rel 2; fix wicd libdir on x86_64

Revision 1.26  2009/08/21 15:56:12  cactus
- up to 1.6.2
- new subpackages - wicd-client-curses, pm-utils-wicd
- some clean up's

Revision 1.25  2009/08/20 21:03:51  cactus
- fix daemon status and stop - send this patch upstream

Revision 1.24  2009/03/17 08:24:50  dzeus
- up to 1.5.9

Revision 1.23  2009/02/08 21:04:34  cactus
- rel 2; set proper pidfile for rc-scripts - stop/restart works as needed

Revision 1.22  2009/01/25 16:32:19  matkor
- Version 1.5.8-1.

Revision 1.21  2008/10/26 20:56:17  matkor
- Version 1.5.4-1.

Revision 1.20  2008/10/17 20:09:08  matkor
- Version 1.5.3-1.

Revision 1.19  2008/10/03 18:06:25  arekm
- release 8

Revision 1.18  2008/09/26 04:16:06  ankry
- hopefullu fixed bg_PHO, rel. 7

Revision 1.17  2008/09/25 12:38:36  tommat
- rel 6, for rebuild without included system directories
- STBR

Revision 1.16  2008/09/09 11:09:47  pluto
- R: is not a BR:

Revision 1.15  2008/08/28 07:32:46  matkor
- BR python-devel ( Daniel Dawid Majewski )

Revision 1.14  2008/08/26 18:10:06  ankry
- hopefuly this bg is really bg

Revision 1.13  2008/08/26 17:41:52  qboosh
- fix locale naming insanity

Revision 1.12  2008/08/26 17:25:27  qboosh
- typo

Revision 1.11  2008/08/26 16:09:13  qboosh
- improved pl

Revision 1.10  2008/08/26 16:06:54  qboosh
- comment

Revision 1.9  2008/08/26 16:04:19  qboosh
- X11 Group, unified sf URL, pygtk version

Revision 1.8  2008/08/26 16:02:13  qboosh
- don't own other system dirs either

Revision 1.7  2008/08/26 13:32:47  gotar
- do not own %{_iconsdir}/hicolor directory, cosmetics

Revision 1.6  2008/08/12 11:13:17  matkor
- Release 5. Another forgotten R: python-dbus.

Revision 1.5  2008/08/12 06:47:31  matkor
- Release 4. More R, missing dir added.

Revision 1.4  2008/08/11 07:28:41  matkor
- Release 3. %{_prefix}/lib/%{module}/ must be used even on 64bit systems.

Revision 1.3  2008/08/11 06:46:05  matkor
- Release 2. BB: issue for system type detection.

Revision 1.2  2008/08/11 06:21:41  matkor
- chenged source to http://master.dl.sourceforge.net/sourceforge/...

Revision 1.1  2008/08/10 18:23:58  matkor
- Initial version 1.5.1-1.
